List push tokens
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/notifications/push/v1/tokens \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/notifications/push/v1/tokens"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/notifications/push/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pushTokens": [
{
"authToken": "cometchat-uid-3_1710141033938cf7e3c67cc44465440d4efac8de",
"pushTokenType": "chat",
"createdAt": "2024-03-11T07:27:59.412Z",
"platform": "fcm_android",
"providerId": "fcm-provider-2",
"pushToken": "{{uid3}}_fcm_android_asia_kolkata_4_new_mgmt",
"uid": "cometchat-uid-3",
"updatedAt": "2024-03-13T11:24:47.776Z"
}
]
}
}Push Tokens
List push tokens
List push tokens for the given auth token.
GET
/
notifications
/
push
/
v1
/
tokens
List push tokens
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Query Parameters
Displays all the tokens
Fetches the results based on the auth Tokens
Was this page helpful?
⌘I